daemon daemon/ifplugd/* {
	need = system/bootmisc;
	use = system/static-modules system/coldplug system/ifrename;
	stdout = /dev/null;
	stderr = /dev/null;
	env_file = /etc/default/ifplugd;
	script daemon = {
		#!/bin/bash
		IF1=`echo ${NAME} | /bin/sed "s/-/_/"`
		A=`eval echo \$\{ARGS_${IF1}\}`
		[ -z "${A}" ] && A="${ARGS}"

		exec /usr/sbin/ifplugd --no-daemon -i ${NAME} ${A};
	}
	#execs kill = /usr/sbin/ifplugd;
	#exec_args kill = -k --wait-on-kill -i ${NAME};
	#pid_file = /var/run/ifplugd.${NAME}.pid;
}

service daemon/ifplugd {
	need = system/bootmisc;
	use = system/static-modules system/coldplug system/ifrename;
	#stdall = /dev/null;
	
	env_file = /etc/default/ifplugd;

	script start = {
		#!/bin/bash
		[ "${INTERFACES}" = "auto" -o "${INTERFACES}" = "all" ] && INTERFACES="`/bin/cat /proc/net/dev | /usr/bin/awk '{ print $1 }' | /bin/egrep '^(eth|wlan)' |
	cut -d: -f1`"

		for IF in ${INTERFACES}
		do
			ngc -u daemon/ifplugd/${IF}
		done
	}
	
	script stop = {
		#!/bin/bash
		[ "${INTERFACES}" = "auto" -o "${INTERFACES}" = "xall" ] && INTERFACES="`/bin/cat /proc/net/dev | /usr/bin/awk '{ print $1 }' | /bin/egrep '^(eth|wlan)' |
	cut -d: -f1`"

		for IF in ${INTERFACES}
		do
			ngc -d daemon/ifplugd/${IF}
		done
	}
}
