
# This one shud be run first, and have no dependencys.
# Its purpose is to mount /proc /dev and /sys.
service system/initial/mountvirtfs {
	critical;
	script start = {
		# test, if all necasary directories exists.
		for dir in /proc /dev /sys
		do
			if [ ! -d ${dir} ] # no?
			then
				echo "The dir \"${dir}\" is missing, cant mount it!" >&2
				echo "Please sulogin, remount rw and create them." >&2
				exit 1 # we can't work. critical!
			fi
		done

		mount -n -t proc proc /proc &
		mount -n -t sysfs sys /sys &
		# we need /dev/null direct, so we create it by hand.
		{	mount -n -o size=10M,mode=0755 -t tmpfs udev /dev && \
			/bin/rm -f /dev/null && \
			/bin/mknod /dev/null c 1 3 -m 666
		} &

		wait
		exit 0
	};
}

# udevd to handle udev requests
service system/initial/udevd {
	exec start = /etc/init.d/udev start;	
	exec stop = /etc/init.d/udev stop;
}



service system/initial/filldev {
	need = system/initial/mountvirtfs system/initial/udevd;
	script start = {
		/etc/init.d/mountvirtfs start
		
		[ ! -e /dev/MAKEDEV -a /sbin/MAKEDEV ] && \
				/bin/ln -fs /sbin/MAKEDEV /dev/MAKEDEV &

		exit 0
	};
}


service system/initial/loglevel {
	# Set the console loglevel to 1 for a cleaner boot
	# the logger should anyhow dump the ring-0 buffer at start to the
	# logs, and that with dmesg can be used to check for problems
	exec start = /bin/dmesg -n 1;
	# Increase the debug level a bit
	exec stop = /bin/dmesg -n 2;
}

virtual system/initial {
	need = system/initial/loglevel system/initial/mountvirtfs system/initial/udevd system/initial/filldev;
	use = system/selinux/dev;
}
